Subject: devel-digest V2 #169
From: [email-masked] (devel-digest)
To: [email-masked]

devel-digest           Friday, May 14 1999           Volume 02 : Number 169

In this issue:

    Re: DHCP via eth1? 
    Re: DHCP boooting 
    Re: DHCP boooting 
    Re: DHCP boooting
    Re: DHCP via eth1?
    How to reach Rebel.com

See the end of this digest for information about devel-digest.

----------------------------------------------------------------------

Date: Thu, 13 May 1999 09:42:04 -0500
From: "Chris Garrigues" <[email-masked]>
Subject: Re: DHCP via eth1? 

- --==_Exmh_-1899002995P
Content-Type: text/plain; charset=us-ascii

> From:  "Andrew E. Mileski" <[email-masked]>
> Date:  Wed, 12 May 1999 20:19:46 -0400
>
> Chris Garrigues wrote:
> > I'm looking at the NetWinder Rescue Howto and before I get any further, I
> 've
> > got a question.  How do I make this happen on the 10/100 port?  The DHCP
> > request goes eth0, but I figure why not do this fast?
> 
> In the firmware:
>   setenv netconfig_eth0 disk
>   setenv netconfig_eth1 dhcp
>   save-all
>   reset

Doing this gets me this when I 'boot diskless':

DHCP->[DSC][SND][RCV]********
mk_do_dhcp(): dhcp_configure() failure
DHCP-><7>eth1: tulip_open() irq 9.
[DSC][SND][RCV]**<7>eth1: Media selection tick, status f0660000 mode 320e2002 SIA 000000c6 ffff0000 fff80000 8ffd0000.
checkpoint 1
******
dhcp_configure(): Timed out on network read
mk_do_dhcp(): dhcp_configure() failure
Receiving bootfile vmlinux.netwinder from bootserver 0.0.0.0

Chris

- -- 
Chris Garrigues                 virCIO
+1 512 432 4046                 4314 Avenue C                    O-
http://www.DeepEddy.Com/~cwg/   Austin, TX  78751-3709
                                +1 512 374 0500

  My email address is an experiment in SPAM elimination.  For an
  explanation of what we're doing, see http://www.DeepEddy.Com/tms.html 

    Nobody ever got fired for buying Microsoft,
      but they could get fired for relying on Microsoft.

- --==_Exmh_-1899002995P
Content-Type: application/pgp-signature

- -----BEGIN PGP MESSAGE-----
Version: 2.6.2

iQB1AwUBNzrkupaQnaaFII2dAQFMCwL+NFNl6iLr71trM7BK1ZiG4hAPqac/RdbE
vqNZmolYxSDQxTS0u37Xju3VLEC91Ny2AdEZG9yizyl1TZt6V7QMmP3JLNWbxruH
0ACI7GqJaKVHXgAv0YFO3Jjb3Tj04M1c
=3ZCB
- -----END PGP MESSAGE-----

- --==_Exmh_-1899002995P--
- --
This list is run automagically by Majordomo 1.94.4
Please send email questions to [email-masked]
To UNSUBSCRIBE: email [email-masked] with
"unsubscribe devel" as the body of your message.

------------------------------

Date: Thu, 13 May 1999 09:49:05 -0500
From: "Chris Garrigues" <[email-masked]>
Subject: Re: DHCP boooting 

- --==_Exmh_-1897953505P
Content-Type: text/plain; charset=us-ascii

> From:  "Andrew E. Mileski" <[email-masked]>
> Date:  Wed, 12 May 1999 20:24:35 -0400
>
> Chris Garrigues wrote:
> > DHCP->[DSC][SND][RCV]*[PRC][OFF][REQ][SND][RCV]*[PRC][ACK]
> > DHCP Configuration Summary Block
> > IP Address -> 10.2.252.103
> > Netmask    -> 255.255.255.0
> > Broadcast  -> 10.2.252.255
> > Boot Server->
> > Boot File  ->
> > Boot Path  -> 10.2.252.2:/vncroot
> > Usage: setenv <variable> <a.b.c.d>
> > Usage: setenv <stringvariable <string>
> > Receiving bootfile vmlinux.netwinder from bootserver 0.0.0.0
> > 
> > I haven't set up the tftp server yet, but I'm not sure it'll get me very 
> far
> > if I do.
> 
> It will, as your NetWinder needs a kernel (bootfile) to boot :)

It didn't.  The only way I could get any further was by putting the boot 
server and boot file in the flash.  (This is 2.0.4, BTW.)

Chris

- -- 
Chris Garrigues                 virCIO
+1 512 432 4046                 4314 Avenue C                    O-
http://www.DeepEddy.Com/~cwg/   Austin, TX  78751-3709
                                +1 512 374 0500

  My email address is an experiment in SPAM elimination.  For an
  explanation of what we're doing, see http://www.DeepEddy.Com/tms.html 

    Nobody ever got fired for buying Microsoft,
      but they could get fired for relying on Microsoft.

- --==_Exmh_-1897953505P
Content-Type: application/pgp-signature

- -----BEGIN PGP MESSAGE-----
Version: 2.6.2

iQB1AwUBNzrmYJaQnaaFII2dAQGTVAMAh2HbTJ8EchR/WBXhiKLkL+NrzaieRJtF
3GXMMonToiQ3CIC5RQjYrGG2bvETmLeVnUBbS4iTUlRpI10ihx+1+XRFqBVtamtN
oq4FJgk9lJv/33m2JLi1+2bUip0lniKe
=+vV+
- -----END PGP MESSAGE-----

- --==_Exmh_-1897953505P--
- --
This list is run automagically by Majordomo 1.94.4
Please send email questions to [email-masked]
To UNSUBSCRIBE: email [email-masked] with
"unsubscribe devel" as the body of your message.

------------------------------

Date: Thu, 13 May 1999 10:09:24 -0500
From: "Chris Garrigues" <[email-masked]>
Subject: Re: DHCP boooting 

- --==_Exmh_-1888956595P
Content-Type: text/plain; charset=us-ascii

> From:  "Chris Garrigues" <[email-masked]>
> Date:  Thu, 13 May 1999 09:49:05 -0500
>
> It didn't.  The only way I could get any further was by putting the boot 
> server and boot file in the flash.  (This is 2.0.4, BTW.)

...and, BTW, doing that does get me booting now that I've got an disk image on 
my server.

So, now that I can get to my system and my existing data, I'd like to build 
this system right.

What's the current recommendation as far as kernel, etc goes for building a 
RedHat style distribution.  I found FAQ 5.9, but the URL seems to be broken

	http://www.netwinder.org/~andrewm/redhat/index.html 

gets me:

Not Found

The requested URL /~andrewm/redhat/index.html was not found on this server.

Chris

- -- 
Chris Garrigues                 virCIO
+1 512 432 4046                 4314 Avenue C                    O-
http://www.DeepEddy.Com/~cwg/   Austin, TX  78751-3709
                                +1 512 374 0500

  My email address is an experiment in SPAM elimination.  For an
  explanation of what we're doing, see http://www.DeepEddy.Com/tms.html 

    Nobody ever got fired for buying Microsoft,
      but they could get fired for relying on Microsoft.

- --==_Exmh_-1888956595P
Content-Type: application/pgp-signature

- -----BEGIN PGP MESSAGE-----
Version: 2.6.2

iQB1AwUBNzrrIpaQnaaFII2dAQEBfAL+N/rj1OJyl8fi9TubZ6hJiTacMszJYG7Q
iEFZmeFAXYOdBfob53WYPtCAuJdXiz6j4fy3jhBQf1zO/AO7wiV36Eqsot3zN8lB
y8fMDGIX7eE8HFC/ivIXE4xBwOtwDI3K
=4aLF
- -----END PGP MESSAGE-----

- --==_Exmh_-1888956595P--
- --
This list is run automagically by Majordomo 1.94.4
Please send email questions to [email-masked]
To UNSUBSCRIBE: email [email-masked] with
"unsubscribe devel" as the body of your message.

------------------------------

Date: Thu, 13 May 1999 15:28:40 +0000
From: Ralph Siemsen <[email-masked]>
Subject: Re: DHCP boooting

Chris Garrigues wrote:

>         http://www.netwinder.org/~andrewm/redhat/index.html
> 
> gets me:
> 
> Not Found

Try http://www.netwindr.org/~andrewm/redhat/RPMS/ for the very latest
bleeding edge stuff.  Or grab a complete filesystem from
ftp://ftp.netwinder.org/pub/ccc/images/ and untarr it using 'p' option to
tar.

- -- 
Ralph Siemsen -- [email-masked]
- --
This list is run automagically by Majordomo 1.94.4
Please send email questions to [email-masked]
To UNSUBSCRIBE: email [email-masked] with
"unsubscribe devel" as the body of your message.

------------------------------

Date: Thu, 13 May 1999 16:33:16 -0400
From: "Andrew E. Mileski" <[email-masked]>
Subject: Re: DHCP via eth1?

> > In the firmware:
> >   setenv netconfig_eth0 disk
> >   setenv netconfig_eth1 dhcp
> >   save-all
> >   reset
> 
> Doing this gets me this when I 'boot diskless':
>
> dhcp_configure(): Timed out on network read
> mk_do_dhcp(): dhcp_configure() failure
> Receiving bootfile vmlinux.netwinder from bootserver 0.0.0.0

Weird.  Works for me.  Try resetting the box (don't power cycle) and see
if it still happens.

- --
Andrew E. Mileski - Software Engineer [OS Team Leader]
Rebel.com  http://www.rebel.com/
- --
This list is run automagically by Majordomo 1.94.4
Please send email questions to [email-masked]
To UNSUBSCRIBE: email [email-masked] with
"unsubscribe devel" as the body of your message.

------------------------------

Date: Thu, 13 May 1999 16:47:25 -0400
From: "Andrew E. Mileski" <[email-masked]>
Subject: How to reach Rebel.com

How to reach Rebel.com
  sales related questions:  [email-masked]      
  technical support      :  [email-masked]

- --
Andrew E. Mileski - Software Engineer [OS Team Leader]
Rebel.com  http://www.rebel.com/
- --
This list is run automagically by Majordomo 1.94.4
Please send email questions to [email-masked]
To UNSUBSCRIBE: email [email-masked] with
"unsubscribe devel" as the body of your message.

------------------------------

End of devel-digest V2 #169
***************************

--
This list is run automagically by Majordomo 1.94.4
Please send email questions to [email-masked]
To UNSUBSCRIBE: email [email-masked] with
"unsubscribe devel-digest" as the body of your message.